=== debian/changelog ===
emacspeak (50.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:13:22 +0100

emacspeak (50.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #933049).

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Add myself as uploader.
  * emacspeak.lintian-overrides: Silence false positive warning.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2019 18:54:15 +0200

emacspeak (50.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop Breaks: buster has been released, so no need to carry this any
    longer
  * Refresh patches and drop
    0001-Fix-non-advised-functions-not-to-use-ems-interactive.patch

 -- Paul Gevers <elbrus@debian.org>  Tue, 23 Jul 2019 22:01:44 +0200
