## emacspeak 52.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,9 @@
 
 # }}}
 # {{{ Configuration
-
+.POSIX:
 MAKE=make
+MAKEFLAGS=--no-print-directory
 prefix = /usr
 SRC = $(shell pwd)
 README = README
@@ -46,7 +47,7 @@
 
 emacspeak:
 	@test -f  lisp/emacspeak-loaddefs.el || $(MAKE) config
-	@cd lisp && $(MAKE)
+	@cd lisp && $(MAKE)  --no-print-directory
 	@make   $(README)
 	@chmod 644 $(README)
 	@echo "See the NEWS file for a  summary of new features — Control e cap n in Emacs"
@@ -55,10 +56,10 @@
 	@make install
 
 outloud: 
-	cd servers/linux-outloud && $(MAKE) || echo "Cant build Outloud server!"
+	@cd servers/linux-outloud && $(MAKE) --no-print-directory || echo "Cant build Outloud server!"
 
 espeak: 
-	cd servers/native-espeak && $(MAKE) || echo "Cant build espeak server!"
+	@cd servers/native-espeak && $(MAKE) --no-print-directory  || echo "Cant build espeak server!"
 
 # }}}
 # {{{  Maintainance targets   dist
@@ -79,9 +80,9 @@
 # {{{ User level target--  config
 
 config:
-	@cd etc && $(MAKE) config  
-	@cd lisp && $(MAKE) config
-	@cd lisp/g-client  && $(MAKE) config
+	@cd etc && $(MAKE) config   --no-print-directory
+	@cd lisp && $(MAKE) config --no-print-directory
+	@cd lisp/g-client  && $(MAKE) config --no-print-directory
 	@echo "Configured emacspeak in directory $(SRC)."
 
 # }}}
@@ -96,17 +97,17 @@
 	make clean
 	make config 
 	make
-	cd lisp && make muggles
-	cd	 tvr && make
+	@cd lisp && make muggles --no-print-directory
+	@cd	 tvr && make  --no-print-directory
 
 qq:
-	make -s -j q 2>&1 |grep -v Loading 
+	make -s q 2>&1 |grep -v Loading 
 
 # }}}
 # {{{  user level target-- clean
 
 clean:
-	cd lisp &&  $(MAKE) clean
+	@cd lisp &&  $(MAKE) --no-print-directory clean
 
 # }}}
 # {{{ labeling releases
