=== lisp/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 # }}}
 # {{{make rules
-
+.POSIX:
 # what emacs is called on your system
 EMACS = emacs
 SRC=".."
@@ -90,6 +90,7 @@
 emacspeak-table-ui.elc \
 emacspeak-tabulate.elc \
 amixer.elc \
+emacspeak-abc-mode.elc \
 emacspeak-add-log.elc \
 emacspeak-amark.elc \
 emacspeak-analog.elc \
@@ -112,6 +113,7 @@
 emacspeak-calendar.elc \
 emacspeak-cedet.elc \
 emacspeak-checkdoc.elc \
+emacspeak-chess.elc \
 emacspeak-ciel.elc \
 emacspeak-cider.elc \
 emacspeak-clojure.elc \
@@ -121,11 +123,14 @@
 emacspeak-cperl.elc \
 emacspeak-custom.elc \
 emacspeak-dbus.elc \
+emacspeak-deadgrep.elc \
+emacspeak-debugger.elc \
 emacspeak-dictionary.elc \
 emacspeak-desktop.elc \
 emacspeak-diff-mode.elc \
 emacspeak-dired.elc \
 emacspeak-dismal.elc \
+emacspeak-dumb-jump.elc \
 emacspeak-epub.elc \
 emacspeak-ecb.elc \
 emacspeak-ein.elc \
@@ -206,6 +211,7 @@
 emacspeak-navi-mode.elc \
 emacspeak-net-utils.elc \
 emacspeak-newsticker.elc \
+emacspeak-nov.elc \
 emacspeak-ocr.elc \
 emacspeak-org.elc \
 emacspeak-origami.elc \
@@ -253,6 +259,7 @@
 emacspeak-supercite.elc \
 emacspeak-sudoku.elc \
 emacspeak-etable.elc \
+emacspeak-tab-bar.elc \
 emacspeak-tapestry.elc \
 emacspeak-tar.elc \
 emacspeak-tcl.elc \
@@ -270,6 +277,7 @@
 emacspeak-url-template.elc \
 emacspeak-vdiff.elc \
 emacspeak-view.elc \
+emacspeak-vuiet.elc \
 emacspeak-vlc.elc \
 emacspeak-vm.elc \
 emacspeak-wdired.elc \
@@ -300,7 +308,7 @@
 # {{{  User level targets all
 
 all: $(OBJECTS)
-	cd g-client; $(MAKE)
+	cd g-client; $(MAKE) --no-print-directory
 
 muggles: emacspeak-muggles.elc emacspeak-muggles-autoloads.el
 
@@ -360,6 +368,7 @@
 nm.elc: nm.el
 amixer.elc: amixer.el
 emacspeak-actions.elc: emacspeak-actions.el
+emacspeak-abc-mode.elc: emacspeak-abc-mode.el dtk-speak.elc 
 emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
 emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
 emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
@@ -386,16 +395,12 @@
 emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
 emacspeak-cedet.elc: emacspeak-cedet.el dtk-speak.elc voice-setup.elc
 emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
+emacspeak-chess.elc: emacspeak-chess.el dtk-speak.elc voice-setup.elc
 emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
 emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
 emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
 emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
 emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
 emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
-emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc 
-emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
-emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
-emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
-emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
-emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
-emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
+emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc
+emacspeak-deadgrep.elc: emacspeak-deadgrep.el dtk-speak.elc
