=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 # }}}
 # {{{make definitions
+.POSIX:
 
 # what emacs is called on your system
 EMACS = emacs
