=== debian/changelog ===
emacspeak (52.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * NEWS.Debian: Rename to NEWS for debhelper to find it.
  * control: Update alioth list domain.

  [ Paul Gevers ]
  * New upstream version 52.0

 -- Paul Gevers <elbrus@debian.org>  Sat, 16 May 2020 20:40:19 +0200

emacspeak (51.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Generalize pattern.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Paul Gevers ]
  * New upstream release
  * drop dont_use_-q_in_emacspeak.sh.patch; applied upstream

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Mar 2020 15:57:10 +0100
