=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: emacspeak
 Section: editors
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                libespeak-ng-libespeak-dev,
                po-debconf,
                tcl-dev,
@@ -11,7 +11,7 @@
                      docbook-xsl,
                      emacs-nox (>= 1:26.1~),
                      xsltproc,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://emacspeak.sf.net
 Vcs-Browser: https://salsa.debian.org/a11y-team/emacspeak
 Vcs-Git: https://salsa.debian.org/a11y-team/emacspeak.git
