=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 tmpdir  := $(debbase)/tmp/$(eldir)
 
 %:
-	dh  $@
+	dh $@
 
 override_dh_auto_build-arch:
 	dh_auto_build --sourcedirectory=servers/native-espeak -- TCL_VERSION=""
@@ -27,11 +27,9 @@
 
 # Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
 # so cat that all together. Not 100% elegant, but it will do for now.
-# Note: the loop is to sort 8 and 9 before the rest
-	echo > changelog
-	for release in 8 9 1 2 3 4 ; do \
-		cat etc/NEWS-$${release}* >> changelog ; \
-	done
+	cat etc/NEWS-8.0 > changelog
+	cat etc/NEWS-9.0 >> changelog
+	cat etc/NEWS-[0-9][0-9]* >> changelog
 	cat etc/NEWS >> changelog
 
 	# The 3d auditory icon theme was generated using CSound, but it expects the
@@ -105,7 +103,7 @@
 
 override_dh_install-indep:
 	# Exclude the files that go into the documentation
-	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
+	dh_install -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
 	# We will sed it at configuration
 	mv debian/emacspeak/$(eldir)/etc/emacspeak.sh debian/emacspeak/$(eldir)/etc/emacspeak.sh.in
